Redmine - Defect #17071

Adding Watchers UX Is Not Clean
2014-06-03 21:23 - Brett Patterson

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution: Affected version: 251
Description

With the update to 2.5.1 and the implementation of feature #8562, you now have to add users one at a time, instead of en masse.

It would seem more effective if the interface allowed you to search for a user, check the checkbox, then search for another user,
check their checkbox, and search for a third user and check that checkbox then click "Add" and all three users are added to the
watch list. The current implementation breaks that functionality.

Related issues:

Related to Redmine - Patch #16133: Available watchers on new issue form inclu... Closed
Related to Redmine - Patch #28771: Allow adding multiple entities when perfor... New
Has duplicate Redmine - Defect #17579: Edit Watchers List Loses Checked Watch... Closed
Has duplicate Redmine - Defect #33950: Search users - selection cleared on ev... Closed
History

#1 - 2014-06-10 16:32 - Brett Patterson
- File patch_commit_6682c6d40dc8.patch added

The attached patch resolves this issue. It will persist the checked checkboxes and add multiple users at once (even after filtering).

#2 - 2014-07-02 09:08 - Toshi MARUYAMA
- Related to Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially) added

#3 - 2014-08-27 18:13 - Toshi MARUYAMA

- Related to Patch #16133: Available watchers on new issue form include users who cannot even view issues added

#4 - 2014-08-27 18:17 - Toshi MARUYAMA
- Related to Defect #17579: Edit Watchers List Loses Checked Watchers When Performing Multiple Searches added

#5 - 2016-05-08 09:13 - Jean-Philippe Lang
- Related to deleted (Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially))

#6 - 2017-08-25 16:43 - Brett Patterson
- File 0001-Multiple-Watcher-Selection-Patch.patch added

Just bumping to make note that adding multiple watchers from multiple searches still doesn't work. Updated the patch to work with 3.4.2.

#7 - 2018-05-15 00:28 - Marius BALTEANU

- Related to Patch #28771: Allow adding multiple entities when performing multiple searches in modals added

#8 - 2018-05-15 00:29 - Marius BALTEANU

I've added some proposals to fix this behaviour in #28771.

#9 - 2018-05-15 00:32 - Marius BALTEANU
- Related to deleted (Defect #17579: Edit Watchers List Loses Checked Watchers When Performing Multiple Searches)
#10 - 2018-05-15 00:32 - Marius BALTEANU
- Has duplicate Defect #17579: Edit Watchers List Loses Checked Watchers When Performing Multiple Searches added

#11 - 2020-09-13 04:07 - Go MAEDA

- Has duplicate Defect #33950: Search users - selection cleared on every search added

#12 - 2023-08-05 23:33 - Marcin Szewczyk
- File 0001-keep-watchers-checked-when-searching.patch added

Another attempt. I've deployed the code on my 5.0.3 instance. Seems to work. This time the patch touches the JavaScript only. It transforms
checkboxes to hidden inputs to keep track of "checked" statuses.

The code doesn't influence the project members search and addition which uses a JavaScript fragment responses, not HTML.

#13 - 2023-08-29 04:13 - Go MAEDA

- Target version set to Candidate for next major release

Files

patch_commit_6682c6d40dc8.patch 3.04 KB 2014-06-10 Brett Patterson
0001-Multiple-Watcher-Selection-Patch.patch 3.41 KB 2017-08-25 Brett Patterson
0001-keep-watchers-checked-when-searching.patch 1.89 KB 2023-08-05 Marcin Szewczyk
